.IGNORE
CFLAGS = /LIS/OPT/DEFINE=($(TCPIP)$(UIDL),$(ARCH)$(MAKE_OPTIONS)) $(CC_OPTIONS)

SOCKET_SHARE = $(TCPIP).OPT/OPT
OLB_SHARE = SHARE.OPT/OPT


!*********************************************************************
TARGET	= iupop3

OBJS =                -
 iupop3.obj,          -
 iupop3_commands.obj, -
 iupop3_utility.obj,  -
 iupop3_vms.obj,      -
 passwd_v$(password_version).obj, -
 change_case.obj

$(TARGET).EXE : $(OBJS)
 LINK/EXECUTABLE=IUPOP3.EXE $(OBJS), $(SOCKET_SHARE), $(OLB_SHARE)

!*********************************************************************
iupop3.obj	: iupop3.c, iupop3_general.h, iupop3_vms.h, iupop3_global.h, -
                  version.h

iupop3_commands.obj	: iupop3_commands.c, -
			  iupop3_general.h, iupop3_vms.h, iupop3_global.h, -
                          version.h	

iupop3_utility.obj	: iupop3_utility.c, -
			  iupop3_general.h, iupop3_vms.h, iupop3_global.h, -
                          version.h	

iupop3_vms.obj		: iupop3_vms.c, ucx_ioctl.c, -
			  iupop3_general.h, iupop3_vms.h, iupop3_global.h, -
                          version.h	

passwd_v$(password_version).obj	: passwd_v$(password_version).c

change_case.obj         : change_case.mar

!*********************************************************************
clean	:
  @ delete/log *.obj;*
  @ delete/log *.lis;*
  @ delete/log iupop3.exe;*

!*********************************************************************
