$! NOTE: Delete the next 2 lines after you have configured this file.
$ write sys$output "****** You have not yet configured IUPOP3.COM! ******"
$ exit
$!
$ on warning   then goto error_trap
$ on control_y then goto final_exit
$!
$!************************
$! Initialize
$!************************
$! These next lines are the lines you need to customize.
$ programmers = "SYSTEM,OPERATOR"
$ log_version_limit = 10
$ define sys$scratch  SYS$NOWHERE:[NOBODY]
$ define pop_dir      SYS$NOWHERE:[NOBODY.IUPOP3]
$ define pop_log      SYS$NOWHERE:[NOBODY.LOG]IUPOP3.LOG
$!
$! Everything below this line should be OK, but can be changed.
$ set process/privilege=(noall,tmpmbx,netmbx,sysprv,bypass,altpri)
$ set process/priority=4
$ set process/name="IUPOP3"
$!
$!************************
$! Start the Server
$!************************
$ if (f$search("pop_log") .eqs. "") then create pop_log
$ set file/version='log_version_limit' pop_log
$!
$ iupop3 := $pop_dir:iupop3.exe
$ iupop3 -logfile pop_log -xtnd pop_dir:pop_xtnd.dat
$ goto final_exit
$!
$!************************
$! Error Trap
$!************************
$ error_trap:
$ ss_status = $status
$ on warning then continue
$ error_message = f$message(ss_status)
$ node = f$getsyi("nodename")
$!
$ mail sys$input "''programmers'"/subject="''node' - ''error_message'"
The IUPOP3 server has experienced a runtime error.  The reason
for the error should appear on the subject line of this message.

Please investigate this problem as quickly as possible.  
Thank you.
$!
$!************************
$! Final Exit
$!************************
$ final_exit:
$ exit
