/*
 ===========================================================================
 =                                                                         =
 =  (C) Copyright 1991-1994 The Trustees of Indiana University             =
 =                                                                         =
 =  Permission to use, copy, modify, and distribute this program for       =
 =  any purpose and without fee is hereby granted, provided that this      =
 =  copyright and permission notice appear on all copies and supporting    =
 =  documentation, the name of Indiana University not be used in           =
 =  advertising or publicity pertaining to distribution of the program     =
 =  without specific prior permission, and notice be given in supporting   =
 =  documentation that copying and distribution is by permission of        =
 =  Indiana University.                                                    =
 =                                                                         =
 =  Indiana University makes no representations about the suitability of   =
 =  this software for any purpose. It is provided "as is" without express  =
 =  or implied warranty.                                                   =
 =                                                                         =
 ===========================================================================
 =                                                                         =
 = File:                                                                   =
 =   IUPOP3_GLOBAL.H                                                      =
 =                                                                         =
 = Authors:                                                                =
 =   Jacob Levanon & Larry Hughes                                          =
 =   Indiana University                                                    =
 =   University Computing Services, Network Applications                   =
 =                                                                         =
 = Credits:                                                                =
 =   This software is based on the Post Office Protocol version 3,         =
 =   as implemented by the University of California at Berkeley.           =
 =                                                                         =
 ===========================================================================
*/

#ifdef Main
  int  total_threads        = 0;
  int  current_threads      = 0;
  int  maximum_threads      = 0;
  int  too_many_threads     = 0;
  int  retrieved_messages   = 0;
  int  retrieved_octets     = 0;
  int  minimum_octets       = 999999;
  int  maximum_octets       = 0;
  int  normal_disconnects   = 0;
  int  abnormal_disconnects = 0;
  int  timeouts             = 0;
  int  blocked_count        = 0;
  int  server_shutdown      = FALSE;
  int  authentication_failures = 0;
  int  master_log_level     = LOG_THREAD;
  int  max_messages         = MAX_MESSAGES;
  int  purge_reclaim        = FALSE;
  char start_time[22];
  char myhostname[MAXHOSTNAMELEN+1];
  char *xtnd_filename       = (char *)0;
  char *log_filename        = (char *)0;
  FILE *log_file;
  char newmail_folder[]     = "NEWMAIL";
  ITEMLIST nullist[1] = { {0,0,0,0} };
  ITEMLIST inlist[MAX_ITEMS];
  ITEMLIST *inlist_ptr;
  ITEMLIST outlist[MAX_ITEMS];
  ITEMLIST *outlist_ptr;
#else
  extern int  total_threads;
  extern int  current_threads;
  extern int  maximum_threads;
  extern int  too_many_threads;
  extern int  retrieved_messages;
  extern int  retrieved_octets;
  extern int  minimum_octets;
  extern int  maximum_octets;
  extern int  normal_disconnects;
  extern int  abnormal_disconnects;
  extern int  timeouts;
  extern int  server_shutdown;
  extern int  blocked_count;
  extern int  authentication_failures;
  extern int  master_log_level;
  extern int  max_messages;
  extern int  purge_reclaim;
  extern char start_time[];
  extern char myhostname[];
  extern char *xtnd_filename;
  extern char *log_filename;
  extern FILE *log_file;
  extern char newmail_folder[];
  extern ITEMLIST nullist[];
  extern ITEMLIST inlist[];
  extern ITEMLIST *inlist_ptr;
  extern ITEMLIST outlist[];
  extern ITEMLIST *outlist_ptr;
#endif
